import * as d3 from "https://cdn.jsdelivr.net/npm/d3@7/+esm";
import {select,json, geoPath, geoEquirectangular } from "https://cdn.jsdelivr.net/npm/d3@7/+esm";
import { feature } from 'topojson';
const svg = select('svg');

const projection = geoEquirectanglar();
const pathGenerator = geoPath().projection(projection);

json('https://raw.githubusercontent.com/ONSvisual/topojson_boundaries/master/geogNUTS2018UK.json')  
.then(data => {
   feature(data, data.objects.nuts);
   const cities = topojson.feature(data, data.objects.nuts3);

const paths = svg.selectAll('path')
 .data(cities.features)
    paths.enter().append('path')
      .attr('class', 'cities')
      .attr('d', d=> pathGenerator(d));
});

json("http://34.38.72.236/Circles/Towns/50").then(function(townData) {
  svg.selectAll(".town-circle").data(townData)
        .enter().append("circle")
        .attr("class", "town-circle")
        .attr("cx", function(d) {
            return projection([d.lng, d.lat])[0];
        })
        .attr("cy", function(d) {
                    // Calculate the Y coordinate based on town's latitude
            return projection([d.lng, d.lat])[1];
        })
        .attr("r", 6)
        .append('title')
            .text(function(d){
                return "County: " + d.County + "\nPopulation: " + d.Population + "\nTown: " + d.Town + "\nLat: " + d.lat + "\nLng: " + d.lng;
            }); 
            console.log(townData);
});



